package com.goldenwater.gx.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.goldenwater.gx.domain.GxExchangeBiz;

/**
 * 数据交换业务域Mapper接口
 */
public interface GxExchangeBizMapper
{
    public GxExchangeBiz selectGxExchangeBizById(Long id);

    public List<GxExchangeBiz> selectGxExchangeBizList(GxExchangeBiz gxExchangeBiz);

    public GxExchangeBiz selectByBizCode(String bizCode);

    public int insertGxExchangeBiz(GxExchangeBiz gxExchangeBiz);

    public int updateGxExchangeBiz(GxExchangeBiz gxExchangeBiz);

    public int deleteGxExchangeBizById(Long id);

    public int deleteGxExchangeBizByIds(Long[] ids);

    public Integer selectMaxOrderNum();
}
